# What is Blue?

Blue is an agent orchestration platform for building and deploying applications with agentic workflows for the enterprise. 

Blue is currently a research project at [Megagon Labs](http://www.megagon.ai) to explore the design space of agent orchestration systems. 

This repository contains the blue-platform python library for developing blue agents and the blue platform.

# Want to try out blue?

Best way to start with blue is to install our [blue-cli](http://pypi.org/project/blue-cli) lib, to help you install and deploy blue.


# What can you build with Blue?

Here are a few examples to inspire you to build with blue:

* a set of agents that convert natural language to SQL, executes, and summarizes results in natural language 
* agents that produces interactive graphical user interfaces and visualizations with your data (e.g. self-service business intelligence) 
* a conversational agent that interfaces to existing predictive models and APIs (e.g. job search agent with predictive models and data)
* agents that execute workflows processing text data, extracting and populating databases.

# Want to learn more?

To learn more about blue, please visit our [blue](http://github.com/megagonlabs/blue) and [blue-example](http://github.com/megagonlabs/blue-example) repos.

# Further reading

To get a glimpse of where we are heading with agentic architectures, read our papers:

* [A Blueprint Architecture of Compound AI Systems for Enterprise](https://arxiv.org/abs/2406.00584) [Compound AI Systems Workshop](https://sites.google.com/view/compound-ai-systems-workshop/home)
* [Orchestrating Agents and Data for Enterprise: A Blueprint Architecture for Compound AI]() [Data-AI Systems Workshop at ICDE'25](https://dais-workshop-icde.github.io/)
